summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author slakmagik <jsun@freeshell.org>2010-05-11 20:01:09 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:09 +0200
commitc25ac953ad4870cd2ac187ce1e5ff8e4083d3c33 (patch)
tree0c6de4aee1cbc0750520d731289edb9fbeaa6f16 /misc
parentf3c1559f6816b3de1108ee1fe1368009d57016e4 (diff)
downloadslackbuilds-c25ac953ad4870cd2ac187ce1e5ff8e4083d3c33.tar.gz
slackbuilds-c25ac953ad4870cd2ac187ce1e5ff8e4083d3c33.tar.xz
misc/rlwrap: Added to 12.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/rlwrap/README8
-rw-r--r--misc/rlwrap/rlwrap.SlackBuild58
-rw-r--r--misc/rlwrap/rlwrap.info8
-rw-r--r--misc/rlwrap/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/misc/rlwrap/README b/misc/rlwrap/README
new file mode 100644
index 0000000000..13fca8828e
--- /dev/null
+++ b/misc/rlwrap/README
@@ -0,0 +1,8 @@
+rlwrap is a 'readline wrapper' that uses the GNU readline library
+to allow the editing of keyboard input for any other command. Input
+history is remembered across invocations, separately for each command;
+history completion and search work as in bash and completion word
+lists can be specified on the command line.
+
+You will need to create the ~/.rlwrap directory (or wherever RLWRAP_HOME is
+set to) or rlwrap will complain and exit.
diff --git a/misc/rlwrap/rlwrap.SlackBuild b/misc/rlwrap/rlwrap.SlackBuild
new file mode 100644
index 0000000000..5814ac4618
--- /dev/null
+++ b/misc/rlwrap/rlwrap.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for rlwrap
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=rlwrap
+VERSION=0.30
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man
+
+make
+make DESTDIR=$PKG install-strip
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [ABCINRT]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/rlwrap/rlwrap.info b/misc/rlwrap/rlwrap.info
new file mode 100644
index 0000000000..de94cd94eb
--- /dev/null
+++ b/misc/rlwrap/rlwrap.info
@@ -0,0 +1,8 @@
+PRGNAM="rlwrap"
+VERSION="0.30"
+HOMEPAGE="http://utopia.knoware.nl/~hlub/uck/rlwrap/"
+DOWNLOAD="http://utopia.knoware.nl/~hlub/uck/rlwrap/rlwrap-0.30.tar.gz"
+MD5SUM="03d8bd4996945ea32d3c7d5dc38c956e"
+MAINTAINER="slakmagik"
+EMAIL="jsun@freeshell.org"
+APPROVED="rworkman"
diff --git a/misc/rlwrap/slack-desc b/misc/rlwrap/slack-desc
new file mode 100644
index 0000000000..885ae17ba0
--- /dev/null
+++ b/misc/rlwrap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rlwrap: rlwrap (readline wrapper)
+rlwrap:
+rlwrap: rlwrap is a 'readline wrapper' that uses the GNU readline library
+rlwrap: to allow the editing of keyboard input for any other command. Input
+rlwrap: history is remembered across invocations, separately for each command;
+rlwrap: history completion and search work as in bash and completion word
+rlwrap: lists can be specified on the command line.
+rlwrap:
+rlwrap: Homepage: http://utopia.knoware.nl/~hlub/uck/rlwrap/
+rlwrap:
+rlwrap: